<script lang="ts" setup>
import { onMounted } from 'vue'
import { useRouter } from 'vue-router'
import LogoBanner from '@/components/LogoBanner.vue'
import ProgressSpinner from 'primevue/progressspinner'
import { useUserStore } from '@/stores/user'

const router = useRouter()
const store = useUserStore()

const completeLogin = async () => {
  await store.login(window.location.search)
  router.push({ path: '/dashboard' })
}

onMounted(completeLogin)

</script>

<template>
  <div class="content pt-5 w-full flex justify-center">
    <div class="md:min-w-4/12">
      <LogoBanner />
      <h1 class="text-lg p-3">You have sucessfully logged in, getting things ready...</h1>
      <ProgressSpinner data-test="spinner" />
    </div>
  </div>
</template>
